Name:           libreatlas
Version:        1.0.0a 
Release:        4%{?dist}
Summary:        A digital atlas and geography education tool 

# Upstream emailed regarding explicitly stating license in headers
License:        GPLv3+
URL:            https://www.gaia-gis.it/fossil/libreatlas
Source0:        http://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.gz
Source1:        README
# geos_c header not added to linker variable
# Upstream emailed regarding linker problem 
Patch0:         %{name}-1.0.0a-geos_c_linker.patch

BuildRequires:  desktop-file-utils
BuildRequires:  freexl-devel
BuildRequires:  libspatialite-devel
BuildRequires:  wxGTK-devel
BuildRequires:  sqlite-devel
BuildRequires:  geos-devel
BuildRequires:  proj-devel
BuildRequires:  libgeotiff-devel 
BuildRequires:  libjpeg-devel
BuildRequires:  librasterlite-devel

%description
LibreAtlas is an open source Geography Education application built on top of
SpatiaLite and RasterLite. It uses LibreAtlas databases which are a digital
alternative to paper atlases. 


%prep
%setup -q
%patch0 -p1
# first line of this .desktop file appears to be for debian(?) compatibility, 
# causes rpmlint to complain
sed -i '1d' gnome_resource/LibreAtlas.desktop
install -pm 0644 %{SOURCE1} .


%build
%configure 
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install                                    \
 --dir=$RPM_BUILD_ROOT%{_datadir}/applications/         \
 gnome_resource/LibreAtlas.desktop
install -pm 0644 -D                                     \
 gnome_resource/LibreAtlas.png                          \
 $RPM_BUILD_ROOT%{_datadir}/pixmaps/LibreAtlas.png


%files
%doc COPYING AUTHORS README
%{_bindir}/LibreAtlas
%{_datadir}/applications/LibreAtlas.desktop
%{_datadir}/pixmaps/LibreAtlas.png


%changelog
* Wed May 29 2013 Volker Fröhlich <volker27@gmx.at> - 1.0.0a-4
- Rebuild for librasterlite 1.1g

* Sun Apr 21 2013 Micah Roth <micah.roth_ucla.edu> - 1.0.0a-3
- cleaned up comments
- ---formal review rdieter--
- added explanation for removing first line of original .desktop file

* Wed Apr 17 2013 Micah Roth <micah.roth_ucla.edu> - 1.0.0a-2
- added README to Source1 to correct zero-length README file error from rpmlint
- changed $make_install to make install DESTDIR=$RPM_BUILD_ROOT

* Thu Apr 11 2013 Micah Roth <micah.roth ][at][ ucla.edu> - 1.0.0a-1
- create specfile
- Add a patch to fix compilation problem
- created README file indicating where to download atlas data
